<template>
  <Nav :user='user'/>
  <router-view :user='user' />
</template>

<script>
import Nav from './components/Nav.vue'
import axios from 'axios'

export default {
  name: "App",
  components: {
    Nav
  },
  data() {
    return {
      user: null,
    };
  },
  created() {
    // Rechargement de page 
    axios.defaults.headers.common['authorization'] = 'Bearer ' + localStorage.getItem('token')
    axios.get("http://localhost:8000/api/users/me")
    .then(res =>{
      this.user = res
      console.log(res)
    })
    
  },
};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");
#app {
  font-family: "Roboto", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

</style>
